Skip to content

Get all volumes for an environment

GET
/api/v3/organizations/{organisation}/applications/{application}/environments/{environment}/volumes
curl --request GET \
--url https://dashboard.quantcdn.io/api/v3/organizations/test-org/applications/test-app/environments/test-env/volumes \
--header 'Authorization: Bearer <token>'
organisation
required
string

The organisation ID

Example
test-org
application
required
string

The application ID

Example
test-app
environment
required
string

The environment ID

Example
test-env

The volumes

Media typeapplication/json
object
volumeId
string
volumeName
string
description
string
environmentEfsId
string
createdAt
string
rootDirectory
string
accessPointId
string
accessPointArn
string
Examplegenerated
{
"volumeId": "example",
"volumeName": "example",
"description": "example",
"environmentEfsId": "example",
"createdAt": "example",
"rootDirectory": "example",
"accessPointId": "example",
"accessPointArn": "example"
}

The environment not found